import * as vue from 'vue';
import { PropType } from 'vue';
import { HTMLChakraProps, ResponsiveValue } from '@chakra-ui/vue-system';

interface AspectRatioOptions {
    /**
     * The aspect ratio of the Box. Common values are:
     *
     * `21/9`, `16/9`, `9/16`, `4/3`, `1.85/1`
     */
    ratio?: ResponsiveValue<number>;
}
interface AspectRatioProps extends HTMLChakraProps<"div">, AspectRatioOptions {
}
/**
 * Vue component used to cropping media (videos, images and maps)
 * to a desired aspect ratio.
 *
 * @see Docs https://vue.chakra-ui.com/docs/layout/aspect-ratio
 */
declare const CAspectRatio: vue.DefineComponent<{
    ratio: {
        type: PropType<ResponsiveValue<number> | undefined>;
        default: number;
    };
}, () => JSX.Element, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, {}, string, vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, Readonly<vue.ExtractPropTypes<{
    ratio: {
        type: PropType<ResponsiveValue<number> | undefined>;
        default: number;
    };
}>>, {
    ratio: ResponsiveValue<number> | undefined;
}>;

export { AspectRatioProps, CAspectRatio };
