import {
  __name
} from "./chunk-YPCYSKQX.esm.js";

// src/link.tsx
import { createVNode as _createVNode, isVNode as _isVNode, mergeProps as _mergeProps } from "vue";
import { vueThemingProps } from "@chakra-ui/vue-utils";
import { defineComponent, computed } from "vue";
import { chakra, useStyleConfig } from "@chakra-ui/vue-system";
import { filterUndefined } from "@chakra-ui/utils";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
__name(_isSlot, "_isSlot");
var CLink = defineComponent({
  name: "CLink",
  props: {
    as: {
      type: [Object, String],
      default: "a"
    },
    isExternal: Boolean,
    ...vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed(() => filterUndefined({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = useStyleConfig("Link", themingProps);
    return () => _createVNode(chakra.a, _mergeProps({
      "as": props.as,
      "__label": "link",
      "target": props.isExternal ? "_blank" : void 0,
      "rel": props.isExternal ? "noopener noreferrer" : void 0,
      "__css": styles.value
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});

export {
  CLink
};
