import {
  __name
} from "./chunk-YPCYSKQX.esm.js";

// src/box.tsx
import { isVNode as _isVNode, createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { computed, defineComponent } from "vue";
import { chakra } from "@chakra-ui/vue-system";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
__name(_isSlot, "_isSlot");
var CBox = defineComponent({
  name: "CBox",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => _createVNode(chakra.div, _mergeProps({
      "as": props.as,
      "__label": "box"
    }, attrs), {
      default: () => {
        var _a;
        return (_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots);
      }
    });
  }
});
var CSquare = defineComponent({
  name: "CSquare",
  props: {
    size: [Object, String, Number],
    centerContent: {
      type: [Boolean],
      default: true
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = computed(() => props.centerContent ? {
      display: "flex",
      alignItems: "center",
      justifyContent: "center"
    } : {});
    return () => _createVNode(CBox, _mergeProps({
      "__label": "square",
      "boxSize": props.size,
      "__css": {
        ...styles.value,
        flexShrink: 0,
        flexGrow: 0
      }
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CCircle = defineComponent({
  name: "CCircle",
  setup(_, {
    slots,
    attrs
  }) {
    return () => _createVNode(CSquare, _mergeProps({
      "__label": "circle",
      "borderRadius": "9999px"
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});

export {
  CBox,
  CSquare,
  CCircle
};
