import {
  __name
} from "./chunk-YPCYSKQX.esm.js";

// src/text.tsx
import { createVNode as _createVNode, isVNode as _isVNode, mergeProps as _mergeProps } from "vue";
import { filterUndefined } from "@chakra-ui/utils";
import { chakra, useStyleConfig } from "@chakra-ui/vue-system";
import { SNAO, vueThemingProps } from "@chakra-ui/vue-utils";
import { computed, defineComponent } from "vue";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
__name(_isSlot, "_isSlot");
var CText = defineComponent({
  name: "CText",
  props: {
    as: {
      type: [Object, String],
      default: "p"
    },
    align: SNAO,
    decoration: SNAO,
    casing: SNAO,
    ...vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed(() => filterUndefined({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = useStyleConfig("Text", themingProps);
    const aliasedProps = computed(() => filterUndefined({
      textAlign: props.align,
      textDecoration: props.decoration,
      textTransform: props.casing
    }));
    return () => {
      return _createVNode(chakra.p, _mergeProps({
        "__label": "text"
      }, aliasedProps.value, {
        "__css": styles.value
      }, attrs), _isSlot(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

export {
  CText
};
